package com.hai.model;

import com.hai.entity.*;

/**
 * 优惠券码
 */
public class HighDiscountAgentCodeModel {

    // 代理商
    private HighAgent highAgent;

    // 优惠券
    private HighDiscount highDiscount;

    // 卡券码
    private HighCouponCode highCouponCode;

    // 订单
    private HighOrder highOrder;

    // 用户
    private HighUser highUser;

    public HighCouponCode getHighCouponCode() {
        return highCouponCode;
    }

    public void setHighCouponCode(HighCouponCode highCouponCode) {
        this.highCouponCode = highCouponCode;
    }

    public HighAgent getHighAgent() {
        return highAgent;
    }

    public void setHighAgent(HighAgent highAgent) {
        this.highAgent = highAgent;
    }

    public HighDiscount getHighDiscount() {
        return highDiscount;
    }

    public void setHighDiscount(HighDiscount highDiscount) {
        this.highDiscount = highDiscount;
    }

    public HighOrder getHighOrder() {
        return highOrder;
    }

    public void setHighOrder(HighOrder highOrder) {
        this.highOrder = highOrder;
    }

    public HighUser getHighUser() {
        return highUser;
    }

    public void setHighUser(HighUser highUser) {
        this.highUser = highUser;
    }
}
